Subject: [PATCH 0/2] completion: teach rebase and archive to use __gitcomp_builtin

From: Denton Liu <[email-masked]>
Date: Thu, 12 Sep 2019 12:43:52 -0700

Currently, the completion function for rebase and archive don't take
advantage of __gitcomp_builtin(). Teach them to use it so that future
changes to options will automatically be included by the completion
script with no extra work.

I discovered rebase wasn't using it and fixed that and I started looking
for other low-hanging fruit to fix. I deliberately left stuff like diff
and log alone since that's a whole Pandora's box that I don't really
want to open right now.

Denton Liu (2):
  completion: teach rebase to use __gitcomp_builtin
  completion: teach archive to use __gitcomp_builtin

 contrib/completion/git-completion.bash | 27 ++++++++------------------
 1 file changed, 8 insertions(+), 19 deletions(-)

-- 
2.23.0.37.g745f681289